%global _scl_prefix /opt/oro
%{?scl:%scl_package rabbitmq-server}
%{!?scl:%global pkg_name %{name}}

%global erlang_minver 19.3
# We want to install into /usr/lib, even on 64-bit platforms
%global _rabbit_libdir %{_exec_prefix}/lib/rabbitmq
%define _rabbitmq_user rabbitmq37
%define _rabbitmq_group rabbitmq


Name: %{?scl_prefix}rabbitmq-server
Version: 3.7.8
Release: 1%{?dist}
License: MPLv1.1 and MIT and ASL 2.0 and BSD
Source0: https://www.rabbitmq.com/releases/rabbitmq-server/v%{version}/%{pkg_name}-%{version}.tar.xz
Source2: rabbitmq-server.service
# curl -O https://raw.githubusercontent.com/lemenkov/rabbitmq-server/cdfc661/packaging/RPMS/Fedora/rabbitmq-server.logrotate
Source3: rabbitmq-server.logrotate
# curl -O https://raw.githubusercontent.com/rabbitmq/rabbitmq-server-release/rabbitmq_v3_6_15/packaging/RPMS/Fedora/rabbitmq-server.tmpfiles
Source5: rabbitmq-server.tmpfiles
# curl https://dl.bintray.com/rabbitmq/community-plugins/3.7.x/rabbitmq_delayed_message_exchange/rabbitmq_delayed_message_exchange-20171201-3.7.x.zip
Source6: rabbitmq_delayed_message_exchange-20171201-3.7.x.ez

URL: https://www.rabbitmq.com/
BuildArch: noarch
BuildRequires: erlang >= %{erlang_minver}, python-simplejson, xmlto, libxslt, python, zip, rsync, systemd, elixir, socat, devtoolset-7-make
Requires: logrotate
Requires: erlang-erts%{?_isa} >= %{erlang_minver}
Requires: erlang-kernel%{?_isa} >= %{erlang_minver}
Requires: erlang-eldap%{?_isa} >= %{erlang_minver}
Requires: erlang-mnesia%{?_isa} >= %{erlang_minver}
Requires: erlang-os_mon%{?_isa} >= %{erlang_minver}
Requires: erlang-public_key%{?_isa} >= %{erlang_minver}
Requires: erlang-sasl%{?_isa} >= %{erlang_minver}
Requires: erlang-sd_notify%{?_isa}
Requires: erlang-ssl%{?_isa} >= %{erlang_minver}
Requires: erlang-stdlib%{?_isa} >= %{erlang_minver}
Requires: erlang-tools%{?_isa} >= %{erlang_minver}
Requires: erlang-xmerl%{?_isa} >= %{erlang_minver}
Summary: The RabbitMQ server
# Users and groups
Requires(pre): shadow-utils
Requires(pre): systemd
Requires(post): systemd
Requires(preun): systemd
%{?scl:Requires: %scl_runtime}
BuildRequires: oro-rabbitmq-server37-build

%description
RabbitMQ is an implementation of AMQP, the emerging standard for high
performance enterprise messaging. The RabbitMQ server is a robust and
scalable implementation of an AMQP broker.

%prep
%setup -n %{pkg_name}-%{version}

sed -i -e 's:/usr/bin:%{_bindir}:;s:/usr/sbin:%{_sbindir}:;s:/var:%{_localstatedir}:;s:/etc:%{_sysconfdir}:;s:/usr/lib:%{_scl_root}/usr/lib:' \
    ./scripts/rabbitmq-script-wrapper ./deps/rabbit/scripts/rabbitmq-defaults %{S:2} %{S:3}
#    ./deps/rabbit/docs/rabbitmq-server.service.example ./scripts/rabbitmq-script-wrapper ./deps/rabbit/scripts/rabbitmq-defaults %{S:2} %{S:3} 
sed -i '/^Group=/a EnvironmentFile=%{_scl_scripts}/service-environment' %{S:2}
#    ./deps/rabbit/docs/rabbitmq-server.service.example

%build
. /opt/rh/devtoolset-7/enable
env -u DEPS_DIR make %{?_smp_mflags} dist manpages \
	RMQ_ROOTDIR=%{_rabbit_libdir} \
	LANG="en_US.UTF-8" \
	LC_CTYPE="en_US.UTF-8"

%install
. /opt/rh/devtoolset-7/enable
env -u DEPS_DIR make install install-bin install-man \
	VERSION="%{version}" \
	DESTDIR=%{buildroot} \
	PREFIX=%{_prefix} \
	RMQ_ROOTDIR=%{_rabbit_libdir} \
	MANDIR=%{_mandir} \
	LANG="en_US.UTF-8" \
	LC_CTYPE="en_US.UTF-8"

mkdir -p %{buildroot}%{_localstatedir}/lib/rabbitmq/mnesia
mkdir -p %{buildroot}%{_localstatedir}/log/rabbitmq
mkdir -p %{buildroot}%{_sbindir}

#Copy all necessary lib files etc.
#install -p -D -m 0644 ./deps/rabbit/docs/rabbitmq-server.service.example %{buildroot}%{_unitdir}/%{name}.service
install -p -D -m 0644 %{S:2} %{buildroot}%{_unitdir}/%{name}.service
echo "HOME=%{_localstatedir}/lib/rabbitmq" > %{buildroot}%{_scl_scripts}/service-environment

sed -e 's|@STDOUT_STDERR_REDIRECTION@||' \
	-e 's|@RABBITMQ_USER@|%{_rabbitmq_user}|' -e 's|@RABBITMQ_GROUP@|%{_rabbitmq_group}|' \
	-e "s/ rabbitmq / %_rabbitmq_user /g" \
	-e "/id -un/s/rabbitmq/%_rabbitmq_user/g" \
	-e "s|\$(cd ~rabbitmq && pwd)|%{_localstatedir}/lib/rabbitmq|g" \
	scripts/rabbitmq-script-wrapper \
	> %{buildroot}%{_sbindir}/rabbitmqctl
chmod 0755 %{buildroot}%{_sbindir}/rabbitmqctl
for script in rabbitmq-server rabbitmq-plugins rabbitmq-diagnostics; do
	cp -a %{buildroot}%{_sbindir}/rabbitmqctl %{buildroot}%{_sbindir}/$script
done

#install -p -D -m 0755 scripts/rabbitmq-server.ocf %{buildroot}%{_prefix}/lib/ocf/resource.d/rabbitmq/rabbitmq-server
#install -p -D -m 0755 scripts/rabbitmq-server-ha.ocf %{buildroot}%{_prefix}/lib/ocf/resource.d/rabbitmq/rabbitmq-server-ha
install -p -D -m 0644 %{S:3} %{buildroot}%{?scl:%_root_sysconfdir}%{!?scl:%_sysconfdir}/logrotate.d/%{?scl_prefix}rabbitmq-server
install -p -D -m 0644 ./deps/rabbit/docs/rabbitmq.config.example %{buildroot}%{_sysconfdir}/rabbitmq/rabbitmq.config
install -d %{buildroot}%{_localstatedir}/run/rabbitmq
#install -p -D -m 0644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -p -D -m 0644 %{SOURCE6} %{buildroot}%{_rabbit_libdir}/lib/rabbitmq_server-%version/plugins/


%pre
# create rabbitmq group
if ! getent group %_rabbitmq_group >/dev/null; then
        groupadd -r %_rabbitmq_group
fi

# create rabbitmq user
if ! getent passwd %_rabbitmq_user >/dev/null; then
        useradd -r -g %_rabbitmq_group -d %{_localstatedir}/lib/rabbitmq %_rabbitmq_user \
            -s /sbin/nologin -c "RabbitMQ messaging server"
fi

%post
%systemd_post %{name}.service
/bin/systemctl daemon-reload

%preun
# We do not remove /var/log and /var/lib directories
# Leave rabbitmq user and group
%systemd_preun %{name}.service

# Clean out plugin activation state, both on uninstall and upgrade
rm -rf %{_localstatedir}/lib/rabbitmq/plugins
for ext in rel script boot ; do
    rm -f %{_rabbit_libdir}/lib/rabbitmq_server-%{version}/ebin/rabbit.$ext
done


%postun
%systemd_postun_with_restart %{name}.service


%files
%dir %attr(0755, %_rabbitmq_user, %_rabbitmq_group) %{_sysconfdir}/rabbitmq
%config(noreplace) %attr(0644, %_rabbitmq_user, %_rabbitmq_group) %{_sysconfdir}/rabbitmq/rabbitmq.config
%config(noreplace) %{?scl:%_root_sysconfdir}%{!?scl:%_sysconfdir}/logrotate.d/%{?scl_prefix}rabbitmq-server
%{_sbindir}/rabbitmqctl
%{_sbindir}/rabbitmq-server
%{_sbindir}/rabbitmq-plugins
%{_sbindir}/rabbitmq-diagnostics
%{_rabbit_libdir}/
%{_unitdir}/%{name}.service
%{_scl_scripts}/service-environment
# FIXME this should add dependency on "/usr/lib/ocf/resource.d/" owner
#dir /usr/lib/ocf/resource.d/rabbitmq/
#/usr/lib/ocf/resource.d/rabbitmq/rabbitmq-server
#/usr/lib/ocf/resource.d/rabbitmq/rabbitmq-server-ha
#{_tmpfilesdir}/%{name}.conf
%dir %attr(0750, %_rabbitmq_user, %_rabbitmq_group) %{_localstatedir}/lib/rabbitmq
%dir %attr(0750, %_rabbitmq_user, %_rabbitmq_group) %{_localstatedir}/log/rabbitmq
%dir %attr(0755, %_rabbitmq_user, %_rabbitmq_group) %{_localstatedir}/run/rabbitmq
%license LICENSE LICENSE-*
%{_mandir}/man8/rabbitmq-plugins.*
%{_mandir}/man8/rabbitmq-server.*
%{_mandir}/man8/rabbitmqctl.*
%{_mandir}/man8/rabbitmq-service.*
%{_mandir}/man8/rabbitmq-echopid.*
%{_mandir}/man5/rabbitmq-env.conf.*


%changelog
* Tue Oct 30 2018 Viacheslav Dubrovskyi <vdubrovskyi@oroinc.com> - 3.7.8-1
- Ver. 3.7.8

* Wed Mar 28 2018 Viacheslav Dubrovskyi <vdubrovskyi@oroinc.com> - 3.6.15-2
- rebuilt for ORO

* Thu Feb 08 2018 Peter Lemenkov <lemenkov@gmail.com> - 3.6.15-1
- Ver. 3.6.15

* Tue Nov 14 2017 Peter Lemenkov <lemenkov@gmail.com> - 3.6.14-1
- Ver. 3.6.14

* Tue Sep 19 2017 Peter Lemenkov <lemenkov@gmail.com> - 3.6.12-1
- Ver. 3.6.12

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun  7 2017 Peter Lemenkov <lemenkov@gmail.com> - 3.6.10-1
- Ver. 3.6.10

* Thu Apr 20 2017 Peter Lemenkov <lemenkov@gmail.com> - 3.6.9-1
- Ver. 3.6.9

* Wed Mar  8 2017 Peter Lemenkov <lemenkov@gmail.com> - 3.6.6-2
- Set version explicitly

* Wed Mar  1 2017 Peter Lemenkov <lemenkov@gmail.com> - 3.6.6-1
- Ver. 3.6.6
- Revert "Listing items in parallel" patches

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.5-1
- Ver. 3.6.5

* Mon Jul 25 2016 John Eckersberg <eck@redhat.com> - 3.6.3-6
- Install rabbitmq-server-ha agent

* Fri Jul 22 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.3-5
- Don't die while retrieving status from faulty node

* Sun Jul 17 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.3-4
- Fixed rabbitmq-server script to use RABBITMQ_SERVER_ERL_ARGS everywhere

* Sun Jul 17 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.3-3
- Improve proto_dist usage patch

* Fri Jul 15 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.3-2
- Avoid RPC roundtrips in list commands
- Use proto_dist from config instead of always using default (inet_tcp)

* Thu Jul  7 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.3-1
- Ver. 3.6.3

* Wed Jun 29 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.2-4
- Fixed crash during slave promotion

* Thu May 26 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.2-3
- Use empty list for non-allowed user names for loopback connection

* Wed May 25 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.2-2
- Keep error codes the same with ver. 3.3.5

* Mon May 23 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.2-1
- Ver. 3.6.2

* Wed Apr  6 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.1-2
- Fix start up failure

* Thu Mar 24 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.6.1-1
- Ver. 3.6.1

* Tue Feb  2 2016 Peter Lemenkov <lemenkov@gmail.com> - 3.5.7-4
- Remove compatibility triggerun scriptlet
- Don't wait for slave stop messages forever (patches #2, #3)
- Drop dependency on syslog.target - this seems to be a leftover
- Require epmd@0.0.0.0 to run. This is a default value. User should override it
  if necessary. This fixes rhbz #1302368

* Wed Dec 16 2015 Peter Lemenkov <lemenkov@gmail.com> - 3.5.7-3
- Mark configs as owned by rabbitmq user/group
- No need to mark tmpfiles-file as config
- Various config cleanups

* Wed Dec 16 2015 Peter Lemenkov <lemenkov@gmail.com> - 3.5.7-2
- Kill support for SysV branches (no more love for EL5 and EL6). Well keep
  scriptlet for upgrading from pre-2.8.4 versions for a while.

* Tue Dec 15 2015 Peter Lemenkov <lemenkov@gmail.com> - 3.5.7-1
- New upstream release - 3.5.7

* Fri Dec 11 2015 Peter Lemenkov <lemenkov@gmail.com> - 3.5.6-5
- Updated out-of-tarball scripts

* Fri Oct 23 2015 Peter Lemenkov <lemenkov@gmail.com> - 3.5.6-4
- Added help subcommand for the scripts

* Fri Oct  9 2015 Peter Lemenkov <lemenkov@gmail.com> - 3.5.6-3
- Install sample config-file (rhbz#1160810)

* Fri Oct  9 2015 Peter Lemenkov <lemenkov@gmail.com> - 3.5.6-2
- RabbitMQ should use /sbin/nologin as a login shell

* Thu Oct  8 2015 John Eckersberg <eck@redhat.com> - 3.5.6-1
- New upstream release - 3.5.6

* Fri Oct  2 2015 Peter Lemenkov <lemenkov@gmail.com> - 3.5.5-2
- Fix issue with recent systemd Notify access control. See this link for
  further details: https://bodhi.fedoraproject.org/updates/rabbitmq-server-3.5.5-1.fc23#comment-330781

* Thu Sep 24 2015 John Eckersberg <eck@redhat.com> - 3.5.5-1
- New upstream release - 3.5.5

* Thu Sep  3 2015 John Eckersberg <eck@redhat.com> - 3.5.4-3
- Fix service restart on package upgrade (RHBZ#1259564)

* Fri Aug  7 2015 John Eckersberg <eck@redhat.com> - 3.5.4-2
- Update logrotate config to use rabbitmqctl rotate_logs (rhbz#1148444)

* Wed Jul 22 2015 John Eckersberg <eck@redhat.com> - 3.5.4-1
- New upstream release - 3.5.4

* Mon Jul 20 2015 John Eckersberg <eck@redhat.com> - 3.5.4-0.1.rc2
- New upstream release candidate 3.5.4 RC2

* Wed Jul 15 2015 John Eckersberg <eck@redhat.com> - 3.5.4-0.1.rc1
- Fix incorrect NVR for pre-release package

* Tue Jul 14 2015 John Eckersberg <eck@redhat.com> - 3.5.4.rc1-1
- New upstream release candidate 3.5.4 RC1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 John Eckersberg <eck@redhat.com> - 3.5.3-1
- New upstream release - 3.5.3

* Tue May 12 2015 John Eckersberg <eck@redhat.com> - 3.5.2-1
- New upstream release - 3.5.2

* Sat Apr  4 2015 John Eckersberg <eck@redhat.com> - 3.5.1-1
- New upstream release - 3.5.1

* Thu Mar 12 2015 John Eckersberg <eck@redhat.com> - 3.5.0-2
- Add requires on erlang-eldap (RHBZ#1192089)

* Wed Mar 11 2015 John Eckersberg <eck@redhat.com> - 3.5.0-1
- New upstream release - 3.5.0

* Wed Feb 11 2015 John Eckersberg <eck@redhat.com> - 3.4.4-1
- New upstream release - 3.4.4

* Mon Jan 19 2015 Richard W.M. Jones <rjones@redhat.com> - 3.4.3-2
- Move /etc/tmpfiles.d/* to /usr/lib/tmpfiles.d/*
  See: https://bugzilla.redhat.com/show_bug.cgi?id=1180990

* Wed Jan  7 2015 John Eckersberg <eck@redhat.com> - 3.4.3-1
- New upstream release - 3.4.3

* Wed Nov 26 2014 John Eckersberg <eck@redhat.com> - 3.4.2-1
- New upstream release - 3.4.2

* Wed Oct 29 2014 John Eckersberg <eck@redhat.com> - 3.4.1-1
- New upstream release - 3.4.1

* Wed Oct 22 2014 John Eckersberg <eck@redhat.com> - 3.4.0-1
- New upstream release - 3.4.0

* Tue Sep 30 2014 John Eckersberg <eck@redhat.com> - 3.3.5-2
- Add rabbitmq-plugins to default path (#1033305)

* Wed Aug 27 2014 John Eckersberg <jeckersb@redhat.com> - 3.3.5-1
- New upstream release - 3.3.5
- Updated systemd notify support patch to match implementation from
  couchdb (Thanks Peter Lemenkov for the much more concise patch!)

* Wed Jul 02 2014 John Eckersberg <jeckersb@redhat.com> - 3.1.5-9
- Add systemd notify support (RHBZ#1103524)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jun 01 2014 Lon Hohberger <lhh@redhat.com> - 3.1.5-7
- Use specific subpackages of erlang instead of the entire
  metapackage (bz1083637)

* Wed Apr 09 2014 Alan Pevec <apevec@redhat.com> - 3.1.5-6
- Fix failure to start on boot on RHEL7 (#1085418)

* Tue Apr  1 2014 Richard W.M. Jones <rjones@redhat.com> - 3.1.5-5
- Fix race in systemd service startup (RHBZ#1059913).

* Mon Mar 31 2014 Richard W.M. Jones <rjones@redhat.com> - 3.1.5-4
- Use ephemeral port (32768 and up instead of 10000+) (RHBZ#998682).

* Thu Mar 27 2014 Lubomir Rintel <lkundrak@v3.sk> - 3.1.5-3
- Do not clobber a file outside the build hierarchy

* Tue Aug 27 2013 Peter Lemenkov <lemenkov@gmail.com> - 3.1.5-2
- Fix permissoon for *.service file (rhbz #1001472)

* Sat Aug 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 3.1.5-1
- New Upstream Release - 3.1.5 (bugfix release)

* Wed Aug 07 2013 Peter Lemenkov <lemenkov@gmail.com> - 3.1.4-1
- New Upstream Release - 3.1.4 (bugfix release)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 29 2013 Peter Lemenkov <lemenkov@gmail.com> - 3.1.3-1
- New Upstream Release - 3.1.3 (fixes issue bug in the management plugin)

* Tue Jun 25 2013 Peter Lemenkov <lemenkov@gmail.com> - 3.1.2-1
- New Upstream Release - 3.1.2 (works with Erlang R16B01)

* Sun Mar 17 2013 Peter Lemenkov <lemenkov@gmail.com> - 3.0.4-1
- New Upstream Release - 3.0.4

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 02 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.8.7-1
- New Upstream Release - 2.8.7

* Sat Aug 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.8.5-1
- New Upstream Release - 2.8.5

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Peter Lemenkov <lemenkov@gmail.com> - 2.8.4-1
- New Upstream Release - 2.8.4

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 08 2011 Peter Lemenkov <lemenkov@gmail.com> - 2.6.1-1
- New Upstream Release - 2.6.1
- Fixed rhbz #738067 (service cannot start - rabbitmq-multi missing)

* Mon Sep 12 2011 Peter Lemenkov <lemenkov@gmail.com> - 2.6.0-1
- New Upstream Release - 2.6.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Hubert Plociniczak <hubert.plociniczak@gmail.com> 2.2.0-1
- New Upstream Release

* Mon Nov 1 2010 Hubert Plociniczak <hubert.plociniczak@gmail.com> 2.1.1-1
- New Upstream Release

* Tue Oct 5 2010 Hubert Plociniczak <hubert.plociniczak@gmail.com> 2.1.0-1
- New Upstream Release
- Added python as a build dependency

* Mon Aug 23 2010 Mike Bridgen <mikeb@rabbitmq.com> 2.0.0-1
- New Upstream Release

* Mon Jun 28 2010 Hubert Plociniczak <hubert@lshift.net> 1.8.0-1
- New Upstream Release
- Backported fix for bug 22871, fixes issues with erlang >= R14A

* Mon Feb 15 2010 Matthew Sackman <matthew@lshift.net> 1.7.2-1
- New Upstream Release

* Fri Jan 22 2010 Matthew Sackman <matthew@lshift.net> 1.7.1-1
- New Upstream Release

* Mon Oct 5 2009 David Wragg <dpw@lshift.net> 1.7.0-1
- New upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Matthias Radestock <matthias@lshift.net> 1.6.0-1
- New upstream release

* Tue May 26 2009 Hubert Plociniczak <hubert@lshift.net> 1.5.5-2
- Include dist macro in the release number

* Tue May 19 2009 Matthias Radestock <matthias@lshift.net> 1.5.5-1
- Maintenance release for the 1.5.x series

* Mon Apr 6 2009 Matthias Radestock <matthias@lshift.net> 1.5.4-1
- Maintenance release for the 1.5.x series

* Tue Feb 24 2009 Tony Garnock-Jones <tonyg@lshift.net> 1.5.3-1
- Maintenance release for the 1.5.x series

* Mon Feb 23 2009 Tony Garnock-Jones <tonyg@lshift.net> 1.5.2-1
- Maintenance release for the 1.5.x series

* Mon Jan 19 2009 Ben Hood <0x6e6562@gmail.com> 1.5.1-1
- Maintenance release for the 1.5.x series

* Wed Dec 17 2008 Matthias Radestock <matthias@lshift.net> 1.5.0-1
- New upstream release

* Thu Jul 24 2008 Tony Garnock-Jones <tonyg@lshift.net> 1.4.0-1
- New upstream release

* Mon Mar 3 2008 Adrien Pierard <adrian@lshift.net> 1.3.0-1
- New upstream release

* Wed Sep 26 2007 Simon MacMullen <simon@lshift.net> 1.2.0-1
- New upstream release

* Wed Aug 29 2007 Simon MacMullen <simon@lshift.net> 1.1.1-1
- New upstream release

* Mon Jul 30 2007 Simon MacMullen <simon@lshift.net> 1.1.0-1.alpha
- New upstream release

* Tue Jun 12 2007 Hubert Plociniczak <hubert@lshift.net> 1.0.0-1.20070607
- Building from source tarball, added starting script, stopping

* Mon May 21 2007 Hubert Plociniczak <hubert@lshift.net> 1.0.0-1.alpha
- Initial build of server library of RabbitMQ package
